- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QTextureImageDataGenerator
- Qt 6.7.3 Reference Documentation

# QTextureImageDataGenerator Class

class Qt3DRender::QTextureImageDataGenerator

Provides texture image data for QAbstractTextureImage. More...

Header: | #include <QTextureImageDataGenerator>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Inherits: | Qt3DCore::QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual Qt3DRender::QTextureImageDataPtr | operator()() = 0
virtual bool | operator==(const Qt3DRender::QTextureImageDataGenerator &other) const = 0

## Related Non-Members

| QTextureImageDataPtr

## Detailed Description

QTextureImageDataGenerator is a data provider for QAbstractTexture. QTextureImageDataGenerator can be used to expand Qt3D with more ways to load texture image data as well as support user-defined formats and formats Qt3D does not natively support. The data is returned by the QTextureImageDataPtr which contains the data that will be loaded to the texture. QTextureImageDataGenerator is executed by Aspect jobs in the backend.

## Member Function Documentation

### `[pure virtual]` Qt3DRender::QTextureImageDataPtr QTextureImageDataGenerator::operator()()

Implement the method to return the texture image data.

### `[pure virtual]` bool QTextureImageDataGenerator::operator==(const Qt3DRender::QTextureImageDataGenerator &other) const

Implement the method to compare this texture data generator to other. Returns a boolean that indicates whether the QAbstractTextureImage needs to reload the QTextureImageData.

## Related Non-Members

### QTextureImageDataPtr

Shared pointer to QTextureImageData.